package com.usky.gateway.service.utils;

import org.springframework.stereotype.Component;

@Component
public class ByteUtil {
    public byte[] toLH(int n) {
        byte[] b = new byte[4];
        b[0] = (byte) (n & 0xff);
        b[1] = (byte) (n >> 8 & 0xff);
        b[2] = (byte) (n >> 16 & 0xff);
        b[3] = (byte) (n >> 24 & 0xff);
        return b;
    }

    // 打印字节数组的十六进制表示
    public void printBytes(byte[] bytes) {
        for (byte b : bytes) {
            System.out.print(Integer.toHexString(b & 0xFF).toUpperCase() + " ");
        }
    }
}
