package com.usky.demo.service.vo;

import com.baomidou.mybatisplus.annotation.TableField;
import lombok.Data;

import java.io.Serializable;

@Data
public class DeviceMapVO implements Serializable {

    /**
     * 产品编码
     */
    private String productCode;

    /**
     * 设备uuid;设备注册时系统自动生成一个唯一编号
     */
    private String deviceUuid;

    /**
     * 设备ID
     */
    private String deviceId;

    /**
     * 设备状态;1：在线，2：离线
     */
    @TableField(exist = false)
    private Integer deviceStatus;

}
